Tango icon theme does not have the notifiy osd icons

Bug #374155 reported by Allan Caeg on 2009-05-09
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
notify-osd (Ubuntu)
Low
Mirco Müller
tango-icon-theme (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: tango-icon-theme

Now that notify osd is installed by default, the Human icon theme included new icons for the notification daemon. However, the Tango icon theme package from the official repository lacks these.

ProblemType: Bug
Architecture: amd64
Dependencies: hicolor-icon-theme 0.10-1ubuntu1
DistroRelease: Ubuntu 9.04
Package: tango-icon-theme 0.8.90-1
PackageArchitecture: all
ProcEnviron:
 LANG=en_PH.UTF-8
 SHELL=/bin/bash
SourcePackage: tango-icon-theme
Uname: Linux 2.6.30-020630rc2-generic x86_64

dobey (dobey) wrote :

The tango-icon-theme won't be including these. They should be installed in an appropriate private theme location by notify-osd instead of human-icon-theme, so that they will appear with all themes.

Changed in tango-icon-theme (Ubuntu):
status: New → Invalid
Mirco Müller (macslow) on 2009-05-13
Changed in notify-osd:
assignee: nobody → Mirco Müller (macslow)
importance: Undecided → Low
status: New → Triaged
Mirco Müller (macslow) wrote :

The /usr/share/icons/Tango/index.theme:3 needs to change from
Inherits=gnome,crystalsvg
to
Inherits=gnome,crystalsvg,Human
so the missing notification-icons are picked up by the Tango icon-theme. Since tango-icon-theme is using quilt as a patch-system I'm afaid I can't provide a patch right now.

Philipp Kern (pkern) wrote :

The inheritance fix is on its way to Debian unstable and from there into Karmic.

This isn't the right fix. It introduces a circular dependency in the
theme inheritance tree. Human already Inherits=Tangerine,gnome, and the
Tangerine theme Inherits from Tango. The correct solution is to get
icons installed into notify-osd's private hicolor theme, so that they
are available no matter what theme is available. Adding Human to the
Inherits= list in every theme is the wrong answer.

On Wed, 2009-05-13 at 15:35 +0000, Mirco Müller wrote:
> The /usr/share/icons/Tango/index.theme:3 needs to change from
> Inherits=gnome,crystalsvg
> to
> Inherits=gnome,crystalsvg,Human
> so the missing notification-icons are picked up by the Tango
> icon-theme. Since tango-icon-theme is using quilt as a patch-system
> I'm afaid I can't provide a patch right now.
>

On Wed, May 13, 2009 at 06:55:44PM -0000, Rodney Dawes wrote:
> This isn't the right fix. It introduces a circular dependency in the
> theme inheritance tree. Human already Inherits=Tangerine,gnome, and the
> Tangerine theme Inherits from Tango. The correct solution is to get
> icons installed into notify-osd's private hicolor theme, so that they
> are available no matter what theme is available. Adding Human to the
> Inherits= list in every theme is the wrong answer.

Sure, it would be the right fix. On the other hand I thought that it does
make sense to fall back to Ubuntu-specific icons in the Human theme even
with Tango, but bummer, I wasn't aware of the dependency loop. Will
everything break to pieces with such a loop or will the system cope with
it?

(Especially considering that tango-icon-theme is in universe I did not
expect an inheritance to it, having main self-contained.)

Kind regards,
Philipp Kern

dobey (dobey) wrote :

On Wed, 2009-05-13 at 19:11 +0000, Philipp Kern wrote:
> On Wed, May 13, 2009 at 06:55:44PM -0000, Rodney Dawes wrote:
> > This isn't the right fix. It introduces a circular dependency in the
> > theme inheritance tree. Human already Inherits=Tangerine,gnome, and the
> > Tangerine theme Inherits from Tango. The correct solution is to get
> > icons installed into notify-osd's private hicolor theme, so that they
> > are available no matter what theme is available. Adding Human to the
> > Inherits= list in every theme is the wrong answer.
>
> Sure, it would be the right fix. On the other hand I thought that it does
> make sense to fall back to Ubuntu-specific icons in the Human theme even
> with Tango, but bummer, I wasn't aware of the dependency loop. Will
> everything break to pieces with such a loop or will the system cope with
> it?
>
> (Especially considering that tango-icon-theme is in universe I did not
> expect an inheritance to it, having main self-contained.)

Oh, actually it looks like Tangerine doesn't Inherit Tango. I guess that
changed a while ago, and I just didn't realize it. But if it makes sense
to fall back to Human on Ubuntu for all icons, then the right thing to
do is probably either patch GTK+ to fall back to Human before it hits
hicolor, or specify to do so using a system-wide default gtkrc and the
GtkSetting of fallback-icon-theme-name. I think the latter is the
preferred way to do this. However, this of course also inhibits adoption
of notify-osd by other vendors in their distribution, as I'm sure they
won't want to fall back to the Human theme, and probably wouldn't even
ship it.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tango-icon-theme - 0.8.90-2

---------------
tango-icon-theme (0.8.90-2) unstable; urgency=low

  * debian/patches/02-inherit_from_ubuntu_human.patch:
    Add Human as a fallback theme for compatibility with Ubuntu's
    extra icons in there. (LP: #374155)

 -- Ubuntu Archive Auto-Sync <email address hidden> Fri, 15 May 2009 11:13:46 +0100

Changed in tango-icon-theme (Ubuntu):
status: Invalid → Fix Released
Philipp Kern (pkern) wrote :

This still needs a fix in notify-osd, though.

Allan Caeg (allancaeg) wrote :

How can Jaunty users get Tango 0.8.90-2 for Jaunty? I googled and all I see is icon-naming-utils.

It is in universe, not main. You have to enable it in the software
sources configuration dialog.

On Sat, 2009-05-16 at 02:34 +0000, Allan Caeg wrote:
> How can Jaunty users get Tango 0.8.90-2 for Jaunty? I googled and all I
> see is icon-naming-utils.
>

Allan Caeg (allancaeg) wrote :

I have the universe and multiverse repos enabled but I'm still stuck with 0.8.90-1. Any idea?

dobey (dobey) wrote :

On Sun, 2009-05-17 at 00:48 +0000, Allan Caeg wrote:
> I have the universe and multiverse repos enabled but I'm still stuck
> with 0.8.90-1. Any idea?

The -2 build revision is only in Karmic, not in Jaunty.
Though again, the patch is not the correct fix to the problem, and won't
be landing upstream either. I would recommend dropping the patch in
favor of a proper fix as I'd described earlier.

Mantas Kriaučiūnas (mantas) wrote :

Reopening this bug, because Debian maintainer removed inherit_from_ubuntu_human.patch in version 0.8.90-3, which is currently in Ubuntu 9.10 (Karmic), look at changelog.Debian :

tango-icon-theme (0.8.90-3) unstable; urgency=low
  * Remove debian/patches/02-inherit_from_ubuntu_human.patch. It is not
    the right way to inherit from Human to solve the problem of the
    extra icons. Furthermore it looks like it does create a circular
    inheritance situation in Debian but not in Ubuntu. (Closes: #531679)
 -- Philipp Kern <email address hidden> Sat, 20 Jun 2009 14:25:34 +0200

Changed in tango-icon-theme (Ubuntu):
status: Fix Released → New
affects: notify-osd → notify-osd (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers